syslog_relay.h File Reference

## Description

Capture the syslog output from a device.

## Macros

#define | SYSLOG_RELAY_SERVICE_NAME "com.apple.syslog_relay"
| Service identifier passed to lockdownd_start_service() to start the syslog relay service.

## Typedefs

typedef syslog_relay_client_private * | syslog_relay_client_t
| The client handle.
typedef void(* | syslog_relay_receive_cb_t) (char c, void *user_data)
| Receives each character received from the device.

## Enumerations

enum | syslog_relay_error_t { SYSLOG_RELAY_E_SUCCESS = 0 , SYSLOG_RELAY_E_INVALID_ARG = -1 , SYSLOG_RELAY_E_MUX_ERROR = -2 , SYSLOG_RELAY_E_SSL_ERROR = -3 , SYSLOG_RELAY_E_NOT_ENOUGH_DATA = -4 , SYSLOG_RELAY_E_TIMEOUT = -5 , SYSLOG_RELAY_E_UNKNOWN_ERROR = -256 }
| Error Codes.

## Functions

LIBIMOBILEDEVICE_API syslog_relay_error_t | syslog_relay_client_new (idevice_t device, lockdownd_service_descriptor_t service, syslog_relay_client_t *client)
| Connects to the syslog_relay service on the specified device.
LIBIMOBILEDEVICE_API syslog_relay_error_t | syslog_relay_client_start_service (idevice_t device, syslog_relay_client_t *client, const char *label)
| Starts a new syslog_relay service on the specified device and connects to it.
LIBIMOBILEDEVICE_API syslog_relay_error_t | syslog_relay_client_free (syslog_relay_client_t client)
| Disconnects a syslog_relay client from the device and frees up the syslog_relay client data.
LIBIMOBILEDEVICE_API syslog_relay_error_t | syslog_relay_start_capture (syslog_relay_client_t client, syslog_relay_receive_cb_t callback, void *user_data)
| Starts capturing the syslog of the device using a callback.
LIBIMOBILEDEVICE_API syslog_relay_error_t | syslog_relay_start_capture_raw (syslog_relay_client_t client, syslog_relay_receive_cb_t callback, void *user_data)
| Starts capturing the raw syslog of the device using a callback.
LIBIMOBILEDEVICE_API syslog_relay_error_t | syslog_relay_stop_capture (syslog_relay_client_t client)
| Stops capturing the syslog of the device.
LIBIMOBILEDEVICE_API syslog_relay_error_t | syslog_relay_receive_with_timeout (syslog_relay_client_t client, char *data, uint32_t size, uint32_t *received, unsigned int timeout)
| Receives data using the given syslog_relay client with specified timeout.
LIBIMOBILEDEVICE_API syslog_relay_error_t | syslog_relay_receive (syslog_relay_client_t client, char *data, uint32_t size, uint32_t *received)
| Receives data from the service.